Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

vẽ mũi tên trong acad


  • Please log in to reply
10 replies to this topic

#1 funnyboy89

funnyboy89

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 November 2008 - 10:16 AM

bác admin giúp em voi , em moi hoc auto cad , bac chi giup em ve mui tên dan đuờng trong auto cad , cam on bac nhiều !
  • 0

#2 SONCAD

SONCAD

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 819 Bài viết
Điểm đánh giá: 860 (rất tốt)

Đã gửi 27 November 2008 - 10:24 AM

bác admin giúp em voi , em moi hoc auto cad , bac chi giup em ve mui tên dan ðuờng trong auto cad , cam on bac nhiều !

Bạn có thể dùng lệnh Le (QLeader) ðể vẽ mũi tên hoặc bạn dùng lệnh Pline bằng cách vẽ 1 ðoạn thẳng là thân mũi tên, sau ðó nhập chiều rộng phần ðầu mũi tên rồi phần mũi nhọn cho giá trị = 0 (Specify starting width <0.00>: 1, Specify ending width <1.00>: 0)
  • 0
Hình đã gửi

#3 dinhcong

dinhcong

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 01 December 2008 - 08:23 PM

Bạn nói rõ hơn được không? Mình làm như bạn nhưng không viết được giá trị chiều rộng của mũi tên.
  • 0

#4 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 570 (tốt)

Đã gửi 01 December 2008 - 09:26 PM

Bạn xem bài viết ở đây:
http://www.cadviet.c...amp;#entry17912
  • 0
KẺ ĂN MÀY DĨ VÃNG

#5 phamthe

phamthe

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 21 July 2015 - 10:02 PM

nhờ các bác giúp em sửa cái code vẽ mũi tên có thêm độ lớn của mũi tên (arrow size) là 2 giúp em với!

(defun c:Arrow (/ _group _dist lastentity p1 p2 ent obj gr coords pt)
  (vl-load-com)  (defun _group (l) 
    (if (caddr l) (cons (list (car l) (cadr l) (caddr l)) (_group (cdddr l)))))
  (defun _dist (a b) (distance (list (car a) (cadr a)) (list (car b) (cadr b))))
  (setq lastentity (entlast)) 
  (if (and (setq p1 (getpoint "\nSpecify first point: "))
           (setq p2 (getpoint p1 "\nSpecity next point: "))
           (vl-cmdf "_.leader" "_non" p2 "_non" p1 "" "" "_N")
           (not (equal lastentity (setq ent (entlast))))
           (setq obj (vlax-ename->vla-object ent)))
    (while (eq 5 (car (setq gr (grread T 15 0))))
      (redraw)
      (grdraw (cadr gr)
              (trans (vlax-curve-getClosestPointTo ent (setq pt (trans (cadr gr) 1 0))) 0 1)  3  -1)
      (if  (equal (last (setq coords (_group (vlax-get obj 'Coordinates))))
          (car (vl-sort coords (function (lambda (a b) (< (_dist a pt) (_dist b pt)))))))
         (vlax-put obj 'Coordinates (apply (function append) (reverse coords))))
      (grdraw (cadr gr) (trans (car coords) 0 1) 1 -1)))  (redraw)  (princ))

  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5285 Bài viết
Điểm đánh giá: 2534 (tuyệt vời)

Đã gửi 22 July 2015 - 07:09 AM

Bạn nhập dòng dưới đây, sau đó dùng lisp.

DIMASZ >> 2


  • 1

#7 phamthe

phamthe

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 July 2015 - 04:51 PM

oh, cảm ơn anh Hà nhiều nhiều


  • 0

#8 Cùi Bắp Số 1

Cùi Bắp Số 1

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 22 July 2015 - 10:15 PM

Mình vẫn vẽ mũi tên bằng lệnh LE, rồi sau đó kích vào mũi tên để điều chỉnh


  • 0

#9 ngocan336

ngocan336

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 October 2015 - 03:28 AM

Mình vẫn vẽ mũi tên bằng lệnh LE, rồi sau đó kích vào mũi tên để điều chỉnh

bạn điều chỉnh cho mũi tên to ra như nào chỉ mình với


  • 0

#10 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 15 October 2015 - 05:03 AM

62465_20151015_045853.jpg


  • 0

#11 memory021091

memory021091

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 March 2016 - 10:08 AM

sau khi dung LE để vẽ được mũi tên rồi, bạn nháy vào mũi tên và ấn Ctrl + 1 , tại linetype bạn nhập kích thước cho mũi tên là ok


  • 0